package com.liang.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 年度预算修改记录（PrjAnnualBudgetRecord）实体类
 */
public class PrjAnnualBudgetRecord implements Serializable {

    private Integer id;
    /**
     * 费用名称
     */
    private String fymc;
    /**
     * 预算金额
     */
    private Double ysje;
    /**
     * 年预算
     */
    private Integer nys;
    /**
     * 编码
     */
    private String bm;
    /**
     * 父级
     */
    private String fj;
    /**
     * 年份
     */
    private Integer nf;
    /**
     * 排序
     */
    private String px;
    /**
     * 合计编码
     */
    private String hjbm;
    /**
     * 备注
     */
    private String bz;
    /**
     * 项目组
     */
    private Double xmz;
    /**
     * 备用金
     */
    private Double byj;
    /**
     * 项目总预算
     */
    private Double xmzys;

    /**
     * 编辑时间
     */
    private Date bjsj;

    /**
     * 修改人
     */
    private Integer xgr;
    //修改人姓名 数据表中不存在该字段
    private String xgrxm;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFymc() {
        return fymc;
    }

    public void setFymc(String fymc) {
        this.fymc = fymc;
    }

    public Double getYsje() {
        return ysje;
    }

    public void setYsje(Double ysje) {
        this.ysje = ysje;
    }

    public Integer getNys() {
        return nys;
    }

    public void setNys(Integer nys) {
        this.nys = nys;
    }

    public String getBm() {
        return bm;
    }

    public void setBm(String bm) {
        this.bm = bm;
    }

    public String getFj() {
        return fj;
    }

    public void setFj(String fj) {
        this.fj = fj;
    }

    public Integer getNf() {
        return nf;
    }

    public void setNf(Integer nf) {
        this.nf = nf;
    }

    public String getPx() {
        return px;
    }

    public void setPx(String px) {
        this.px = px;
    }

    public String getHjbm() {
        return hjbm;
    }

    public void setHjbm(String hjbm) {
        this.hjbm = hjbm;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public Double getXmz() {
        return xmz;
    }

    public void setXmz(Double xmz) {
        this.xmz = xmz;
    }

    public Double getByj() {
        return byj;
    }

    public void setByj(Double byj) {
        this.byj = byj;
    }

    public Double getXmzys() {
        return xmzys;
    }

    public void setXmzys(Double xmzys) {
        this.xmzys = xmzys;
    }

    public Date getBjsj() {
        return bjsj;
    }

    public void setBjsj(Date bjsj) {
        this.bjsj = bjsj;
    }

    public Integer getXgr() {
        return xgr;
    }

    public void setXgr(Integer xgr) {
        this.xgr = xgr;
    }

    public String getXgrxm() {
        return xgrxm;
    }

    public void setXgrxm(String xgrxm) {
        this.xgrxm = xgrxm;
    }
}
